Package org.apache.commons.collections4.bidimap

# Class AbstractDualBidiMap.EntrySetIterator<K,V>

java.lang.Object
org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator<Map.Entry<K,V>,Map.Entry<K,V>>
org.apache.commons.collections4.iterators.AbstractIteratorDecorator<Map.Entry<K,V>>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.EntrySetIterator<K,V>

Type Parameters:
  `K` - The type of the keys.
  `V` - The type of the values.

All Implemented Interfaces:
  `Iterator<Map.Entry<K,V>>`

Enclosing class:
  `AbstractDualBidiMap<K,V>`

protected static class AbstractDualBidiMap.EntrySetIterator<K,V> extends AbstractIteratorDecorator<Map.Entry<K,V>>
Inner class EntrySetIterator.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `canRemove`
  Whether remove is allowed at present
  `protected Map.Entry<K,V>`
  `last`
  The last returned entry
  `protected final AbstractDualBidiMap<K,V>`
  `parent`
  The parent map

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntrySetIterator(Iterator<Map.Entry<K,V>> iterator, AbstractDualBidiMap<K,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map.Entry<K,V>`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractUntypedIteratorDecorator

  `getIterator, hasNext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### parent

    protected final AbstractDualBidiMap<K,V> parent
    The parent map

  - ### last

    protected Map.Entry<K,V> last
    The last returned entry

  - ### canRemove

    protected boolean canRemove
    Whether remove is allowed at present

- ## Constructor Details

  - ### EntrySetIterator

    protected EntrySetIterator(Iterator<Map.Entry<K,V>> iterator, AbstractDualBidiMap<K,V> parent)
    Constructs a new instance.
    Parameters:
      `iterator` - The iterator to decorate
      `parent` - The parent map

- ## Method Details

  - ### next

    public Map.Entry<K,V> next()
    Description copied from class: `AbstractIteratorDecorator`
    Specified by:
      `next` in interface `Iterator<K>`
    Overrides:
      `next` in class `AbstractIteratorDecorator<Map.Entry<K,V>>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<K>`
    Overrides:
      `remove` in class `AbstractUntypedIteratorDecorator<Map.Entry<K,V>,Map.Entry<K,V>>`